import { InjectionToken } from '@angular/core';

import { Observable } from 'rxjs/Observable';

export interface RPCClientRWC {
  connect(queryString?: string): void;
  readResponse(): Observable<Object>;
  writeRequest(data: any): void;
  disconnect(): void;
  connectionStatus(): Observable<boolean>;
}
